# Class PBMContainer

PBM 模型组

#### Deprecated

弃用, 直接使用 THREE.Group

#### Hierarchy

- Group
  - PBMContainer

- Defined in lib/five/model/objects/pbmContainer.ts:10

##### Index

### Constructors

constructor

### Properties

needsRender
parameter

### Accessors

materialParameters
pbmMaterialParametersVersion

### Methods

getMaterial
setMaterial
update

## Constructors

### constructor

- new PBMContainer(): PBMContainer

  #### Returns PBMContainer

  Inherited from THREE.Group.constructor

  - Defined in node_modules/three/src/objects/Group.d.ts:5

## Properties

### needsRender

needsRender: boolean = true

是否需要更新按需渲染

- Defined in lib/five/model/objects/pbmContainer.ts:16

### parameter

parameter: Parameter = ...

当前样式参数

- Defined in lib/five/model/objects/pbmContainer.ts:13

## Accessors

### materialParameters

- get materialParameters(): ParameterValue

  更新版本

  #### Returns ParameterValue

  #### Deprecated

  use this.parameter.resolveValue()

  - Defined in lib/five/model/objects/pbmContainer.ts:23

### pbmMaterialParametersVersion

- get pbmMaterialParametersVersion(): string

  更新版本

  #### Returns string

  #### Deprecated

  use this.parameter.resolveValue().versions instead

  - Defined in lib/five/model/objects/pbmContainer.ts:32

## Methods

### getMaterial

- getMaterial(): ParameterValue

  #### Returns ParameterValue

  - Defined in lib/five/model/objects/pbmContainer.ts:42

### setMaterial

- setMaterial(value: Partial<ParameterValue>): void

  #### Parameters

  - value: Partial<ParameterValue>

  #### Returns void

  - Defined in lib/five/model/objects/pbmContainer.ts:36

### update

- update(): void

  #### Returns void

  - Defined in lib/five/model/objects/pbmContainer.ts:46